| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
TreeNodeComponent Class Reference
UIExtension » components » widgets

Represents a component for a tree node in a tree structure. More...

Inheritance diagram for TreeNodeComponent:

## Public Member Functions
| getData ()
| Retrieves the data associated with the tree node. More...
| getNodeId ()
| Retrieves the ID of the tree node. More...
| getParentNode ()
| Retrieves the parent tree node, if it exists. More...
| getTree ()
| Retrieves the tree component to which the tree node belongs. More...
| setData (nodeData)
| Sets the display of the tree node according to the data in nodeData. More...
Public Member Functions inherited from ContainerComponent
| append (child, fragments)
| Append a component or a template into this container component. More...
| childAt (index)
| Get the specific child component at the given zero-based `index`. Returns `undefined` if the index is out of range. More...
| children ()
| Get all children of this container component. More...
| childrenCount ()
| Returns the number of children in this container component. More...
| empty ()
| Remove all children of this component.
| first ()
| Get the first child fom this container component, if there is no children, null will returned. More...
| indexOf (child)
| Get the index of an child component. More...
| insert (child, index, fragments)
| Inserts a component instance or component template. Example: pdfui.getComponentByName('home-tab-group-hand') .then(function(groupComponent) { groupComponent.insert( '<xbutton icon-class="fv__icon-toolbar-hand" name="insert-button-name"></xbutton>', 0, [{ target: 'insert-button-name', config: { callback: function() { alert('button clicked'); } } }] ); }) . More...
| insertAll (children, index)
| Inserts a set of components to the specified index. More...
| last ()
| Get the last child from this container component. More...
| prepend (child, fragments)
| Prepend a component or a template into this container component. More...
| removeChild (child)
| Remove a child from this component and trigger UIExtension.UIConsts.COMPONENT_EVENTS.REMOVED event;. More...
| size ()
| The number of children in this container component. More...
Public Member Functions inherited from Component
| active ()
| Actives the component, and set `isActive` property to true, this method triggers UIExtension.UIConsts.COMPONENT_EVENTS.ACTIVE event. More...
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| after (component, fragments)
| Inserts this component after the specified component. More...
| attachEventToElement (element, types, listener, options)
| Binds single or more DOM events of the specified type to the specified element. This or these events are automatically removed when the element component is destroyed. More...
| before (component, fragments)
| Insert this component before the specified component. More...
| deactive ()
| Deactives the component, and set `isActive` property to false, this method triggers UIExtension.UIConsts.COMPONENT_EVENTS.DEACTIVE event. More...
| destroy ()
| Destroy the component and remove from its parent. this method triggers UIExtension.UIConsts.COMPONENT_EVENTS.DESTROYED event. More...
| disable ()
| To disable the component, and set `disabled` property to true, this method triggers UIExtension.UIConsts.COMPONENT_EVENTS.DISABLE event. More...
| enable ()
| Enables component, and set `disabled` property to false, this method triggers UIExtension.UIConsts.COMPONENT_EVENTS.ENABLE event. More...
| findClosestComponent (callback)
| Find the first ancestor in the component tree which passed the testing of callback. More...
| getClosestComponentByName (name)
| Find the first ancestor in the component tree which name is equal to the passing value. More...
| getClosestComponentByType (type)
| Find the first ancestor in the component tree which type is equal to the passing value. More...
| getComponentByName (name)
| This method returns an Component object representing the component whose name property matches the specified string. If there are more than one components matched, only the first one is taken. More...
PDFUI | getPDFUI ()
| Get PDFUI instance, PDFUI instance is passing into a component after constructed. So that an undefined value will be returned in constructoring lifecycle. More...
| getRoot ()
| Get root component of this component tree. More...
| hide ()
| Hide component and set `isVisible` property to false, this method UIExtension.UIConsts.COMPONENT_EVENTS.HIDDEN event. More...
| index ()
| Get the index of this component in parent. More...
| isContainer ()
| Method used to detect whether a component is a container. More...
| isStateKept (kind=KeepStateKind.VISIBILITY)
| Check if state is kept or not. More...
| keepState (kind=KeepStateKind.VISIBILITY)
| This method is used to keep the current state of the component unchanged. After the state is kept, the show/hide methods of the component will no longer take effect unless the keep-state is revoked. More...
| localize (localizer=this.localizer)
| Localize message with the value of the data-i18n attribute above the DOM element of component recursively. More...
| nextSiblings ()
| This method returns the component immediately following this component's parent children list, or returns null if this component is the last in that list. More...
| off (eventName, listener)
| Unregister event handler of a geven event type, if no handler function specified, all handler of this given event type will be removed. More...
| on (eventName, listener)
| Registers an event handler to a specific event type on the component. More...
| once (eventName, listener)
| Registers an event handler to a specific event type on the component, but difference from Component#on, this event handler will be triggered only once. More...
| postlink ()
| Lifecycle method: postlink. The postlink method is called after all of the children are parsed. More...
| prelink ()
| Lifecycle method: prelink. The prelink method is called after component is rendered. More...
| previousSiblings ()
| This method returns the component immediately preceding this component's parent children list, or returns null if this component is the first in that list. More...
| querySelector (selector)
| Queries the first result returned from `querySelectorAll`. More...
| querySelectorAll (selectors)
| Returns all components that match the specified selector string. selector syntax: More...
| remove ()
| Remove component from its parent, and triggers UIExtension.UIConsts.COMPONENT_EVENTS.REMOVED event. More...
| removeElement ()
| Remove element from DOM tree.
| revokeKeepState (kind=KeepStateKind.VISIBILITY)
| Revoke keep-state and makes the show/hide methods back to normal. More...
| show (showParams)
| Shows up component, and set `isVisible` property to true, this method triggers UIExtension.UIConsts.COMPONENT_EVENTS.SHOWN event. More...
| trigger (eventName,...data)
| Calls each of the listeners registered for a given event type. More...

## Additional Inherited Members
Static Public Member Functions inherited from Component
static | extend (name, def, statics={})
static | getName ()
| This method returns a string identifies as the name of a component type that you can use this string as the tag name in the template. Each component must override this static method so that the template can get this component class. More...
Public Attributes inherited from Component
boolean | canBeDisabled
| Whether or not this component can be disabled. All of the component can be disabled by default unless you manually set the value of this property to true. More...
Controller | controller
| The controller instanceof of this component. The controller is specified externally and that contains the business logic of this component. More...
boolean | disabled
| Whether or not this component is enabled. Components are enabled by default, and must be enable to recieve user inut or generate events. More...
HTMLElement | element
| The root DOM element object of this component. More...
boolean | isActive
| Whether or not this component is active.Active is a complicated state, it can prepresent different interaction states in different component. More...
boolean | isVisible
| Whether or not this component is visible. Expect for layers, Most components are initially visible. More...
string | name
| The name of this component. More...
ContainerComponent | parent
| The parent of this component. More...
Protected Member Functions inherited from ContainerComponent
| doInsert (child, index)
| Insert component into this container component at the specified index. More...
| doInsertAll (children, index)
| Insert components array into this container component at the specified index. More...
| getContainerElement ()
| rerenderChildren ()
| Rerender all children of this container component, it's called after children removed or added,.
Protected Member Functions inherited from Component
| constructor (options, module, localizer)
| createDOMElement ()
| This method creates a HTMLElement as the root element for this component. More...
| doActive ()
| This method is called after the component is activated. It is used to update the rendering effect after the component is activated. It is usefull to override this method to customize the rendering.
| doDeactive ()
| This method is called after the component is deactivated. It is used to update the rendering effect after the component is deactivated. It is usefull to override this method to customize the rendering.
| doDestroy ()
| This method is called to destroy the component, You should override this method for your custom component to write your customize destroy logic.
| doDisable (reason='')
| This method is called after the component is disabled. It is used to update the rendering effect after the component is disabled. It is usefull to override this method to customize the rendering.
| doEnable (reason='')
| This method is called after the component is enabled. It is used to update the rendering effect after the component is enabled. It is usefull to override this method to customize the rendering.
| doHidden ()
| This method is called to hide the DOM element of this component. It is usefull to override this method to customize the hidding logic.
| doShown ()
| This method is called to show the DOM element of this component. It is usefull to override this method to customize the showing logic.
| mounted ()
| Lifecycle method: mounted. The mounted method is called after the element of component is appended into the DOM tree. More...
| render ()
| Lifecycle method: render. The render method is always been called to create DOM element of the component, it's called after createDOMElement called and before calling prelink. More...

## Detailed Description

Represents a component for a tree node in a tree structure.

Since
  10.0.0

## Member Function Documentation

## ◆ getData()

TreeNodeComponent::getData | ( |  | ) |
| inline

Retrieves the data associated with the tree node.

Returns
  TreeNodeData - The data of the tree node

Since
  10.0.0

## ◆ getNodeId()

TreeNodeComponent::getNodeId | ( |  | ) |
| inline

Retrieves the ID of the tree node.

Returns
  string - The tree node id

Since
  10.0.0

## ◆ getParentNode()

TreeNodeComponent::getParentNode | ( |  | ) |
| inline

Retrieves the parent tree node, if it exists.

Returns
  TreeNodeComponent|undefined - The parent tree node, or undefined if there is no parent.

Since
  10.0.0

## ◆ getTree()

TreeNodeComponent::getTree | ( |  | ) |
| inline

Retrieves the tree component to which the tree node belongs.

Returns
  TreeComponent -

Since
  10.0.0

## ◆ setData()

TreeNodeComponent::setData | ( |  | nodeData | ) |
| inline

Sets the display of the tree node according to the data in nodeData.

Parameters

  nodeData | TreeNodeData - The data to be used for setting the display of the tree node.

Returns
  void

Since
  10.0.0

@2025 Foxit Software Incorporated. All rights reserved.